﻿/**
CSS Estructura General
**/
body 
{
    font-size: 11px!important;
    font-family: Arial;
    color: #003366;
}
div#barra-aplicacion
{
    position:fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 23px;
    border-top: 0;
    border-left: 0;
    border-right: 0;
    background-color:#2d2d2d;
    border-bottom: 1px solid #000000;
    color:#cccccc;
    line-height: 23px;
    z-index:6000!important;
}
div#perfil
{
    position: absolute;
    top: 0;
    left: 0;
    z-index:7000!important;
    }
div#titulo
{
    position:absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 23px;
    border: 0;
    line-height: 23px;
    z-index:0;
    overflow: hidden;
    color: #ffffff;
    font-size: 13px;
    font-weight: bold;
    text-align: center;
}
div#acceso
{
    position: absolute;
    top: 0;
    right: 0;
    padding: 0 10px 0 10px;
    z-index: 8000;
}
div#acceso a,
div#acceso a:visited
{
    color:#cccccc;
    }
div#acceso a:hover
{
    text-decoration: underline;
    }
div#barra-menu
{
    position:fixed;
    top: 0;
    padding-top: 24px;
    left: 0;
    width: 100%;
    height: 45px;
    border-top: 0;
    border-left: 0;
    border-right: 0;
    background-color:#f4f4f4;
    border-bottom: 1px solid #dbdbdb;
    z-index:5000!important;
}
div#correccionblanco
{
    position:fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 79px;
    border: 0;
    background-color:#ffffff;
    z-index:4000!important;
}
div#menuHerramientas
{
    float:right;    
    margin:7px 10px 0 0;
    font-size: 20px;
    font-weight: bold;    
}
div#Contenido
{
    margin:79px 0 0 0;
    padding: 0 10px 23px 10px;
}
div#pie
{
    position:fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 23px;
    border-top: 1px solid #58b6b1;
    border-left: 0;
    border-right: 0;
    border-bottom: 0;
    background-color:#d6edec;
    line-height: 2em;
    overflow: hidden;
    z-index:5000!important;
}
/**
CSS Menú Perfil
**/
div#perfil ul
{
    display:inline-block;
	height:23px;
	list-style:none;
	margin:0;
	padding:0;
	}
	div#perfil li{
		float:left;
		padding:0px;
		}
	div#perfil li a{
		display:block;
		line-height:23px;
		margin:0;
		padding:0;
		text-align:center;
		text-decoration:none;
		border:0;
		color:#cccccc;
		padding:0 10px 0 10px;
		font-weight: normal;
		}
		div#perfil ul li:hover
		{
		}
		div#perfil li a:hover, 
		div#perfil ul li:hover a
		{
		    color: #cccccc;
            background-color:#4c4c4c;   
            border: 0;
			text-decoration:none;
			}
/* SEGUNDO NIVEL */
	div#perfil li ul{
		display:none;
		height:auto;
		padding:0;
		margin:0;
		border:0;
		position:absolute;
		width:120px;
		z-index:400;
		margin-top: -4px;
		border:1px solid #cccccc;
		}
	div#perfil li:hover ul{
		display:block;
		}
	div#perfil li li 
	{
		display:block;
		float:none;
		margin:0;
		padding:0;
		width:120px;
	    border: 0!important;
		}
	div#perfil li:hover li a{
		}
	div#perfil li ul a{
		display:block;
	    line-height: 23px;
		margin:0;
		padding:0;
        /*Altura minima*/
        min-height: 23px;
        height:auto !important;
        height: 23px;     
        background-color:#ffffff!important;   
        color: #003366!important;
        font-weight:normal!important;
        border:0!important;
        text-align: left!important;
        padding: 0 4px 0 4px!important;
		}
		div#perfil li ul a:hover, 
		div#perfil li ul li:hover a{
			text-decoration:none;
    		background-color:#f4f4f4!important;
            }

/**
CSS Menú Principal
**/
/* LOGO */
div#menu
{
}
div#menu img#logo
{
    margin:0 10px 0 10px;
}

/* PRIMER NIVEL */	
div#menu ul
{
    display:inline-block;
	height:29px;
	list-style:none;
	margin:7px 0 0 0;
	padding:0;
	z-index: 3000!important;
	}
	div#menu li{
		float:left;
		padding:0px;
		z-index: 3000!important;
		}
	div#menu li a{
		display:block;
		line-height:29px;
		margin:0;
		padding:0;
		text-align:center;
		text-decoration:none;
		border:1px solid #d9d9d9;
		color:#666666;
		padding:0 10px 0 10px;
		font-weight: bold;
		z-index: 3000!important;
		}
	div#menu li a.primero{
        border-radius: 4px 0 0 4px;
		z-index: 3000!important;
		}
	div#menu li a.ultimo{
        border-radius: 0 4px 4px 0;
		z-index: 3000!important;
		}
		div#menu ul li:hover
		{
		z-index: 3000!important;
		}
		div#menu li a:hover, 
		div#menu ul li:hover a
		{
		    color: #ffffff;
            background-color:#4a8cf6;   
            border: 1px solid #4380e0;
			text-decoration:none;
    		z-index: 3000!important;
			}
/* SEGUNDO NIVEL */
	div#menu li ul{
		display:none;
		height:auto;
		padding:0;
		margin:0;
		border:0;
		position:absolute;
		/*width:120px;*/
		z-index:200;
		margin-top: -4px;
		border:1px solid #58b6b1;
		}
	div#menu li:hover ul{
		display:block;
		}
	div#menu li li 
	{
		display:block;
		float:none;
		margin:0;
		padding:0;
		/*width:120px;*/
	    border: 0!important;
		}
	div#menu li:hover li a{
		}
	div#menu li ul a{
		display:block;
	    line-height: 29px;
		margin:0;
		padding:0;
        /*Altura minima*/
        min-height: 29px;
        height:auto !important;
        height: 29px;     
        background-color:#ffffff!important;   
        color: #003366!important;
        font-weight:normal!important;
        border:0!important;
        text-align: left!important;
        padding: 0 4px 0 4px!important;
		}
		div#menu li ul a:hover, 
		div#menu li ul li:hover a{
			text-decoration:none;
    		background-color:#d6edec!important;
            }
/************************************************
  ACCION - Estilos para mostrar ventanas emergentes con DIVs
************************************************/

#accionParametrosPantalla
{
    background-image: url('themes/base/images/semi-transparent-background.png');
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    margin: 0;
    z-index: 1200;
}

#accionParametrosDialogo
{
    background-color:#ffffff;
    border: 1px solid #003C58;
    border-radius: 4px;
    position: absolute;
    width: 300px;
    height: 170px;
    top: 50%;
    left: 50%;
    margin-left: -150px;
    margin-top: -85px;
}

/**
Menu de Seleccion y Ordenamiento
**/		            
div#menuComandos
{
    height: 34px;
    padding: 2px;
    font-size: 20px;
    font-weight: bold;
}
div#eliminar
{
    width: 15px;
    height: 15px;
    cursor: pointer;
    background:url('themes/base/images/eliminar_off.png') no-repeat center center;
}
div#eliminar:hover
{
    background:url('themes/base/images/eliminar_on.png') no-repeat center center;
}

span.boton-interior
{
    display:block;
    float: right;
    min-width: 22px;
    height: 30px;
    border: 1px solid #d9d9d9;
    background-color: #f4f4f4;
    padding: 0 4px 0 4px;
    cursor: pointer;
}

span.boton-interior img
{
    width:100%!important;
}

span.boton-interior:hover 
{
    border: 1px solid #4380e0;
    background-color:#4a8cf6;   
}
span.primero, span.primero:hover{border-radius: 4px 0 0 4px;}
span.ultimo, span.ultimo:hover{border-radius: 0 4px 4px 0;}
span.unico, span.unico:hover{border-radius: 4px 4px 4px 4px;}

span.seleccionar{
    background-image:url('themes/base/images/filter_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.seleccionar:hover{
    background-image:url('themes/base/images/filter_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.ordenar{
    background-image:url('themes/base/images/sort_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.ordenar:hover{
    background-image:url('themes/base/images/sort_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.imprimir{
    background-image:url('themes/base/images/impresora_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.imprimir:hover{
    background-image:url('themes/base/images/impresora_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.historico{
    background-image:url('themes/base/images/historico_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.historico:hover{
    background-image:url('themes/base/images/historico_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.ejecutar{
    background-image:url('themes/base/images/ejecutar_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:right center!important;}
span.ejecutar:hover{
    background-image:url('themes/base/images/ejecutar_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:right  center!important;}
span.exportar{
    background-image:url('themes/base/images/excel_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center center!important;}
span.exportar:hover{
    background-image:url('themes/base/images/excel_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.observar{
    background-image:url('themes/base/images/observar_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center center!important;}
span.observar:hover{
    background-image:url('themes/base/images/observar_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.documentar{
    background-image:url('themes/base/images/documentar_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center center!important;}
span.documentar:hover{
    background-image:url('themes/base/images/documentar_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
    
span.crear{
    background-image:url('themes/base/images/new_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.crear:hover{
    background-image:url('themes/base/images/new_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}    

span.vistaprevia{
    background-image:url('themes/base/images/vistaprevia_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.vistaprevia:hover{
    background-image:url('themes/base/images/vistaprevia_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}    

span.eliminar{
    background-image:url('themes/base/images/eliminar2_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.eliminar:hover{
    background-image:url('themes/base/images/eliminar2_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}    

span.nueva-regla{
    background-image:url('themes/base/images/nuevo_off.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}
span.nueva-regla:hover{
    background-image:url('themes/base/images/nuevo_on.png')!important;
    background-repeat: no-repeat!important;
    background-position:center  center!important;}    

select, input[type="text"]
{
    padding:2px;
    font-size:11px;
    border:1px solid #BDC7D8;
    font-family:lucida grande,tahoma,verdana,arial,sans-serif;
    margin-right: 10px;
}
input[type="button"],
input[type="submit"]
{
    margin-right: 10px!important;
}
a
{
    text-decoration: none;
}
input[type="text"].calendario
{
    margin-right:4px!important;
}
img.ui-datepicker-trigger
{
    margin-right:10px!important;
}

a#CancelarSeleccion,a#CancelarSeleccion:visited,a#CancelarOrdenamiento,a#CancelarOrdenamiento:visited{color: #006699!important; padding: 1px 2px 1px 2px;}
a#CancelarSeleccion:hover,a#CancelarOrdenamiento:hover{color: #ff0000!important;text-decoration: underline;}
a#AgregarFiltroSeleccion,a#AgregarFiltroSeleccion:visited,a#AgregarFiltroOrdenamiento, a#AgregarFiltroOrdenamiento:visited {color:#3B5998!important; padding: 1px 2px 1px 2px;}
a#AgregarFiltroSeleccion:hover,a#AgregarFiltroOrdenamiento:hover{color: #3B5998!important;text-decoration: underline;}

a.BotonCancelar,a.BotonCancelar:visited{color: inherit; padding: 1px 2px 1px 2px;}
a.BotonCancelar:hover{color: #ff0000!important;text-decoration: underline;}

/**
Detalle
**/
span.display-label
{
    display:inline-block;
    padding: 4px;
    color: #003366;
    font-weight: normal!important;
}
span.display-field
{
    display:inline-block;
    padding: 2px 8px 2px 2px;
    color: #006699;
    border: 1px solid #cccccc;
    font-weight: normal!important;
    min-width:120px;
    min-height: 1.2em;
}
span.edit-field
{
    display:inline-block;
    padding:0;
    color: #006699;
    font-weight: normal!important;
    min-width:120px;
    min-height: 1.2em;
}
/*Mostrar numero decimal*/
span.display-decimal-field
{
    text-align: right;
    display:inline-block;
    padding: 2px 8px 2px 0;
    color: #006699;
    border: 1px solid #cccccc;
    font-weight: normal!important;
    min-width:120px;
    min-height: 1.2em;
}
/*Error de Validacion*/
span.valerror-field
{
    display:inline-block;
    padding:0;
    color: #FF0000!important;
    font-weight: normal!important;
}


/* Styles for validation helpers
-----------------------------------------------------------*/
.field-validation-error {
    color: #006699;
}

.field-validation-valid {
    display: none;
}

.input-validation-error {
    border: 1px solid #c38282;
    background-color: #faeded   !important;
}

.validation-summary-errors {
    
     background-color: #faeded   !important;
    height:auto;
    border: 1px solid #666;
    padding:0.5em;
    color: red;
}

.validation-summary-valid {
    display: none;
}


span.edit-field input[type="text"],
span.edit-field textarea,
span.edit-field select,
table.formularioestatico tr td.edit-field input[type="text"],
table.formularioestatico tr td.edit-field textarea,
table.formularioestatico tr td.edit-field select
{
    background-color:#FEF8BA;
    border-color:#069;
}
table.Listado
{
    border: 1px solid #d9d9d9;
    border-collapse: collapse;
}
table.Listado thead
{
    color:#ffffff;
    font-weight:bold;
}
table.Listado thead tr
{
    border: 1px solid #4380e0;
    background-color:#4a8cf6;   
}
table.Listado thead tr th,
table.Listado tbody tr td
{
    padding:2px 8px 2px 8px!important;
}

table.Listado tbody tr
{
    border: 1px solid #d9d9d9;
    background-color:#ffffff;
}
table.Listado tbody tr.alternativo
{
    background-color:#d6edec!important;
}
/**
CSS Reglas
**/
div#reglas
{
    border: 1px solid #58B6B1;
    padding: 4px;
}
div#reglas span a
{
    color: #003366;
    text-decoration: none;
}
div#reglas span a:hover
{
    color: #003366;
    text-decoration:underline!important;
}
div#reglas span input[type=image]
{
    vertical-align: text-top;
}
/**
Diseño Distribución de Gestores
**/
div#distgest_wrapper
{
    float: left;
    width: 100%;
}
div#distgest_content
{
    margin-right: 400px; 
    /*Set right margin to LeftColumnWidth*/
}
div#distgest_colder{
    float: right;
    width: 400px; 
    /*Width of right column*/
    margin-left: -100%;
}

.columnainterior
{
    margin: 0; 
    /*Margins for inner DIV inside each column (to provide padding)*/
    margin-top: 0;
}
/* Nuevos Estilos para la interfases estaticas 960px de ancho
--------------------------------------------------------------*/
table.formularioestatico
{
    table-layout:fixed;
/*
    width:960px;
    overflow:hidden;
*/
}
table.formularioestatico tr td
{
    vertical-align:top;
}
table.formularioestatico tr td.display-label
{
    width: 125px;
    text-align: right;        
    border: 1px solid #fff;   
    color: #003366;
    font-weight: normal!important;
}
table.formularioestatico tr td.display-field
{
    width: 101px;
    color: #006699;
    border: 1px solid #ccc;
    padding: 2px;
}
table.formularioestatico tr td.display-decimal-field
{
    width: 101px;
    color: #006699;
    border: 1px solid #ccc;
    padding: 2px;
    text-align: right;
}
table.formularioestatico tr td.primeracolumna
{
    width: 221px!important;
}
table.formularioestatico tr td.sindatos
{
    border: 1px solid #fff;
}
table.formularioestatico tr td.edit-field
{
    width: 105px;
    border: 0;   
    color: #006699;
    padding: 0;
}
table.formularioestatico tr td.edit-field input
{
    margin: 0!important;
    width: 101px;
}
table.formularioestatico tr td.primeracolumna input
{
    margin: 0!important;
    width: 221px;
}
table.formularioestatico tr td.edit-field textarea
{
    margin: 0!important;
}
table.formularioestatico tr td.edit-field input.hasDatepicker
{
    margin: 0 4px 0 0!important;
    width: 81px!important;
}
table.formularioestatico tr td.edit-field img.ui-datepicker-trigger
{
    margin-right:0!important;
}
table.formularioestatico tr td.primeracolumna input.hasDatepicker
{
    margin: 0!important;
    margin-right:4px!important;
    width: 201px!important;
}
